edu.sc.seis.sod.source.network

## Class AbstractNetworkSource

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.network.AbstractNetworkSource

- All Implemented Interfaces:
    NetworkSource, Source
  Direct Known Subclasses:
    CombineNetworkSource, FdsnStation, MockNetworkSource, NetworkFinder, StationXML, WrappingNetworkSource

      public abstract class AbstractNetworkSource
      extends AbstractSource
      implements NetworkSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NetworkQueryConstraints` | `constraints`
    `static java.lang.String` | `REFRESH_ELEMENT`
    `protected edu.iris.Fissures.model.TimeInterval` | `refreshInterval`

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNetworkSource(org.w3c.dom.Element config)`
    `AbstractNetworkSource(NetworkSource wrapped)`
    `AbstractNetworkSource(java.lang.String name, int retries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.model.TimeInterval` | `getRefreshInterval()`
    `void` | `setConstraints(NetworkQueryConstraints constraints)`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getName, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.source.network.NetworkSource

      `getChannels, getInstrumentation, getNetwork, getNetworkByName, getNetworks, getRetries, getRetryStrategy, getSensitivity, getStations`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName, getName`

- - ### Field Detail

    - #### constraints

          protected NetworkQueryConstraints constraints

    - #### refreshInterval

          protected edu.iris.Fissures.model.TimeInterval refreshInterval

    - #### REFRESH_ELEMENT

          public static final java.lang.String REFRESH_ELEMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractNetworkSource

          public AbstractNetworkSource(java.lang.String name,
                                       int retries)

    - #### AbstractNetworkSource

          public AbstractNetworkSource(NetworkSource wrapped)

    - #### AbstractNetworkSource

          public AbstractNetworkSource(org.w3c.dom.Element config)
                                throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getRefreshInterval

          public edu.iris.Fissures.model.TimeInterval getRefreshInterval()

      Specified by:
        `getRefreshInterval` in interface `NetworkSource`

    - #### setConstraints

          public void setConstraints(NetworkQueryConstraints constraints)

      Specified by:
        `setConstraints` in interface `NetworkSource`